summaryrefslogtreecommitdiff
path: root/qa/829
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/829
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/829')
-rwxr-xr-xqa/82940
1 files changed, 40 insertions, 0 deletions
diff --git a/qa/829 b/qa/829
new file mode 100755
index 0000000..ccebb67
--- /dev/null
+++ b/qa/829
@@ -0,0 +1,40 @@
+#!/bin/sh
+# PCP QA Test No. 829
+# Exercise the pcp-dmcache(1) command using an archive.
+#
+# Copyright (c) 2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+echo 'All output'
+pcp -z --archive archives/dm-io dmcache
+echo
+
+echo 'One device'
+pcp -z --archive archives/dm-io dmcache dmcache1
+echo
+
+echo 'One device, five samples, ten seconds offset'
+pcp -z --archive archives/dm-io -s 5 -S+10sec dmcache dmcache1
+echo
+
+echo 'One device, IOPS mode, header every 50 lines'
+pcp -z --archive archives/dm-io dmcache -i --repeat 50 dmcache1
+echo
+
+# success, all done
+status=0
+
+exit